Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.modules.repository.beans
Class InputControlBean

    java.lang.Object
      com.jaspersoft.jasperserver.export.modules.repository.beans.ResourceBean
          com.jaspersoft.jasperserver.export.modules.repository.beans.InputControlBean

    public class InputControlBean

extends ResourceBean

Version:
  $Id: InputControlBean.java 8408 2007-05-29 23:29:12Z melih $
Author:
  tkavanagh

Constructor Summary
`InputControlBean()`

Method Summary
`protected void` | `additionalCopyFrom(Resource res, ResourceExportHandler export)`
`protected void` | `additionalCopyTo(Resource res, ResourceImportHandler importHandler)`
`protected void` | `copyQueryColsTo(InputControl ic)`
`ResourceReferenceBean` | `getDataType()`
`java.lang.Object` | `getDefaultValue()`
`ResourceReferenceBean` | `getListOfValues()`
`ResourceReferenceBean` | `getQuery()`
`java.lang.String` | `getQueryValueColumn()`
`java.lang.String[]` | `getQueryVisibleColumns()`
`byte` | `getType()`
`boolean` | `isMandatory()`
`boolean` | `isReadOnly()`
`boolean` | `isVisible()`
`void` | `setDataType(ResourceReferenceBean dataType)`
`void` | `setDefaultValue(java.lang.Object defaultValue)`
`void` | `setListOfValues(ResourceReferenceBean listOfValues)`
`void` | `setMandatory(boolean mandatory)`
`void` | `setQuery(ResourceReferenceBean query)`
`void` | `setQueryValueColumn(java.lang.String queryValueColumn)`
`void` | `setQueryVisibleColumns(java.lang.String[] queryVisibleColumns)`
`void` | `setReadOnly(boolean readOnly)`
`void` | `setType(byte type)`
`void` | `setVisible(boolean visible)`

Methods inherited from class com.jaspersoft.jasperserver.export.modules.repository.beans.ResourceBean
`copyFrom, copyTo, getCreationDate, getDescription, getFolder, getLabel, getName, getPermissions, getVersion, handleReferences, handleReferences, setCreationDate, setDescription, setFolder, setLabel, setName, setPermissions, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputControlBean

    public InputControlBean()

Method Detail

### additionalCopyFrom

    protected void additionalCopyFrom(Resource res,
                                      ResourceExportHandler export)

  Specified by:
    `additionalCopyFrom` in class `ResourceBean`

### additionalCopyTo

    protected void additionalCopyTo(Resource res,
                                    ResourceImportHandler importHandler)

  Specified by:
    `additionalCopyTo` in class `ResourceBean`

### copyQueryColsTo

    protected void copyQueryColsTo(InputControl ic)

### getDataType

    public ResourceReferenceBean getDataType()

### setDataType

    public void setDataType(ResourceReferenceBean dataType)

### getDefaultValue

    public java.lang.Object getDefaultValue()

### setDefaultValue

    public void setDefaultValue(java.lang.Object defaultValue)

### getListOfValues

    public ResourceReferenceBean getListOfValues()

### setListOfValues

    public void setListOfValues(ResourceReferenceBean listOfValues)

### getQuery

    public ResourceReferenceBean getQuery()

### setQuery

    public void setQuery(ResourceReferenceBean query)

### getQueryValueColumn

    public java.lang.String getQueryValueColumn()

### setQueryValueColumn

    public void setQueryValueColumn(java.lang.String queryValueColumn)

### getQueryVisibleColumns

    public java.lang.String[] getQueryVisibleColumns()

### setQueryVisibleColumns

    public void setQueryVisibleColumns(java.lang.String[] queryVisibleColumns)

### getType

    public byte getType()

### setType

    public void setType(byte type)

### isMandatory

    public boolean isMandatory()

### setMandatory

    public void setMandatory(boolean mandatory)

### isReadOnly

    public boolean isReadOnly()

### setReadOnly

    public void setReadOnly(boolean readOnly)

### isVisible

    public boolean isVisible()

### setVisible

    public void setVisible(boolean visible)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.